

#include "BUILTIN.h"

#include "Array.h"
extern TUP2 _ANameGeneration_3(OBJ,OBJ,OBJ,OBJ,OBJ);extern OBJ __ANameGeneration_3;
extern OBJ __AInterOpal_19;
extern OBJ __AInterOpal_27;

#include "Nat.h"
extern OBJ __ASeq_6;

#include "Int.h"
extern OBJ _AAnalyzedGlobSigH_3(OBJ);extern OBJ __AAnalyzedGlobSigH_3;

#include "Char.h"

#include "Bitset.h"
extern OBJ _AGen_1(OBJ,OBJ);OBJ __AGen_1; /* formParMain2IO */
extern OBJ _AGen_2(OBJ);OBJ __AGen_2; /* repairEmptys */
OBJ __AGen_3; /* formParMain2IO'3 */

extern OBJ _AGen_1(OBJ x1,OBJ x2) /* formParMain2IO */
{OBJ r;
 COPY(__AGen_3,1);
 COPY(x1,1);
 {OBJ x3;OBJ x4;TUP2 x6;
  x3=_AAnalyzedGlobSigH_3(x1);
  PRD1(2,x4);FLD1(x4,1)=x2;FLD1(x4,2)=__ASeq_6;
  x6=_ANameGeneration_3(x1,x4,x3,__AInterOpal_27,__AGen_3);
  FREE(x6.c1,1);
  {OBJ x8=FLD1(x6.c2,1);
   if(EXPRD(x6.c2,1)){
    r=x8;
    FREE(FLD1(x6.c2,2),1);DSPRDF(x6.c2);
   }else{
    CPPRD(x8,1);
    r=x8;
    FRPRD(x6.c2,1);}}}
 return r;}

extern OBJ _AGen_2(OBJ x1) /* repairEmptys */
{OBJ r;
 r=x1;
 return r;}


init_AGen()
{
 static int visited=0; if(visited) return; visited=1;
 init_AString();
 init_AArray();
 init_APartName();
 init_AAnalyzedGlobSig();
 init_AGlobSig();
 init_ANameGeneration();
 init_AInterOpal();
 init_ABaseGeneration();
 init_AMap();
 init_AEnvIO();
 init_ANat();
 init_ASeqFilter();
 init_AOption();
 init_ASeqMap();
 init_ASeq();
 init_ASeqReduce();
 init_ADyn();
 init_AOcOptions();
 init_ASet();
 init_ACom();
 init_APair();
 init_AStream();
 init_ATable();
 init_AVoid();
 init_AUniqueTable();
 init_AFile();
 init_ADeclEntry();
 init_AInt();
 init_APartNameEntry();
 init_AOcError();
 init_AImpExpEntry();
 init_ATree();
 init_AObjects();
 init_AAbsyFun3();
 init_AName();
 init_AAnalyzedGlobSigH();
 init_AGlobSigImpl();
 init_AGlobSigToText();
 init_ARep();
 init_AImpDecl4SigAna();
 init_APragma();
 init_AMySeqFun1();
 init_AImpl();
 init_AName4SigAna();
 init_AGlobPragma();
 init_ASetByBST();
 init_AOcPos();
 init_ABSTree();
 init_AChar();
 init_AFct();
 init_ABitset();
 init_APatterns();
 init_AAttributes();
 init_ADArray();
 init_ANatMap();
 CLS(1,_AGen_2,__AGen_2);
 CLS(2,_AGen_1,__AGen_1);
 PRD1F(1,__AGen_3);FLD1(__AGen_3,1)=__AInterOpal_19;}

